:host {
  display: block;
  /* position: relative; */
}

.card {
  width: 300px;
  height: 140px;
  background-color: palegreen;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

app-card-rollover {
  position: absolute;
  top: 0;
  opacity: 0;
  left: 0;
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  -ms-transition: all 1s ease;
  -o-transition: all 1s ease;
  transition: all 1s ease;
}

span {
  font-size: 20px;
  font-weight: bold;
}

.hide {
  visibility: hidden;
  opacity: 0;
}

.show {
  visibility: visible;
  opacity: 1;
  left: 0;
}

.ready {
  left: -50px;
}
